Read Notification Preferences
GET
/api/v1/notification-preferences
const url = 'https://example.com/api/v1/notification-preferences';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/notification-preferencesOne row per notification type, in_app for any type never saved.
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Response Read Notification Preferences Api V1 Notification Preferences Get
Array<object>
NotificationPreferenceOutThe channel chosen for one notification type.
object
rule_type
required
Rule Type
string
channel
required
Channel
string
Example
[ { "rule_type": "budget_overspent", "channel": "in_app" }]